aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-05-15 17:59:17 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-05-15 18:03:22 +0000
commite6cf609d68a9e131abadda094d0aea3ed4d8a6ca (patch)
tree27c52d95da2a8981beb4b7aef4fd24ce89bbe946
parenta36dd3d268150cb977ccb9989c0ca5eec267c988 (diff)
downloadaports-e6cf609d68a9e131abadda094d0aea3ed4d8a6ca.tar.bz2
aports-e6cf609d68a9e131abadda094d0aea3ed4d8a6ca.tar.xz
main/claws-mail: upgrade to 3.9.1 and add many plugin subpackages
-rw-r--r--main/claws-mail/APKBUILD143
1 files changed, 118 insertions, 25 deletions
diff --git a/main/claws-mail/APKBUILD b/main/claws-mail/APKBUILD
index 38f0433fa9..c0c7b9c7ca 100644
--- a/main/claws-mail/APKBUILD
+++ b/main/claws-mail/APKBUILD
@@ -1,20 +1,39 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=claws-mail
-pkgver=3.9.0
-pkgrel=1
+pkgver=3.9.1
+pkgrel=0
pkgdesc="A GTK+ based e-mail client."
url="http://www.claws-mail.org"
arch="all"
license="GPL3"
subpackages="$pkgname-dev $pkgname-doc $pkgname-lang
- $pkgname-plugins-spamassassin:spamassassin
- $pkgname-plugins-pgp:pgp
- $pkgname-plugins-smime:smime
+ $pkgname-plugins-acpi-notifier:_acpi
+ $pkgname-plugins-address-keeper:_address_keeper
+ $pkgname-plugins-archive:_archive
+ $pkgname-plugins-att-remove:_att_remover
+ $pkgname-plugins-attatchwarner:_attatchwarner
+ $pkgname-plugins-clamd:_clamd
+ $pkgname-plugins-fetchinfo:_fetchinfo
+ $pkgname-plugins-mailmbox:_mailmbox
+ $pkgname-plugins-notification:_notification
+ $pkgname-plugins-pdf-viewer:_pdf
+ $pkgname-plugins-perl:_perl
+ $pkgname-plugins-pgp:_pgp
+ $pkgname-plugins-python:_python
+ $pkgname-plugins-rssyl:_rssyl
+ $pkgname-plugins-smime:_smime
+ $pkgname-plugins-spamassassin:_spamassassin
+ $pkgname-plugins-spamreport:_spamreport
+ $pkgname-plugins-tnef:_tnef
+ $pkgname-plugins-vcalendar:_vcalendar
"
makedepends="gtk+-dev openssl-dev startup-notification-dev enchant-dev
libgcrypt-dev libsm-dev gnutls-dev curl-dev dbus-glib-dev
- libetpan-dev openldap-dev gpgme-dev"
+ libetpan-dev openldap-dev gpgme-dev libsoup-dev perl-dev
+ poppler-gtk-dev python-dev py-gtk-dev libarchive-dev libnotify-dev
+ pinentry-gtk spamassassin
+ "
depends="aspell-en"
install=
source="http://downloads.sourceforge.net/sourceforge/sylpheed-claws/$pkgname-$pkgver.tar.bz2
@@ -37,14 +56,15 @@ build() {
--enable-enchant \
--enable-gnutls \
--enable-ldap \
- --disable-dillo-viewer-plugin \
--disable-crash-dialog \
--enable-pgpmime-plugin \
--enable-spamassassin-plugin \
--disable-bogofilter-plugin \
- --enable-trayicon-plugin \
--enable-compface \
+ --enable-pdf_viewer-plugin \
--disable-jpilot \
+ --disable-bsfilter-plugin \
+ --disable-newmail-plugin \
|| return 1
# force disabling of backtrace. the core dump was more useful
@@ -64,27 +84,100 @@ package() {
done
}
-pgp() {
- pkgdesc="PGP plugin for signing and encrypting with Claws Mail"
- depends="pinentry-gtk"
+_plugin() {
+ pkdesc="$1"
+ depends="claws-mail=$pkgver-r$pkgrel $2"
+ local _i=
+ shift 2
mkdir -p "$subpkgdir"/usr/lib/claws-mail/plugins
- mv "$pkgdir"/usr/lib/claws-mail/plugins/pgp* \
- "$subpkgdir"/usr/lib/claws-mail/plugins/
+ for _i; do
+ mv "$pkgdir"/usr/lib/claws-mail/plugins/${_i}* \
+ "$subpkgdir"/usr/lib/claws-mail/plugins/ || return 1
+ done
}
-spamassassin() {
- pkgdesc="Spamassassin plugin for Claws Mail"
- depends="spamassassin"
- mkdir -p "$subpkgdir"/usr/lib/claws-mail/plugins
- mv "$pkgdir"/usr/lib/claws-mail/plugins/spamass* \
- "$subpkgdir"/usr/lib/claws-mail/plugins/
+_acpi() {
+ _plugin "ACPI notification plugin for Claws Mail" "" acpi_notifier
}
-smime() {
- pkgdesc="S/MIME support for Claws Mail"
- mkdir -p "$subpkgdir"/usr/lib/claws-mail/plugins
- mv "$pkgdir"/usr/lib/claws-mail/plugins/smime* \
- "$subpkgdir"/usr/lib/claws-mail/plugins/
+_address_keeper() {
+ _plugin "Never forget a typed address in Claws Mail" "" address_keeper
+}
+
+_archive() {
+ _plugin "Archiving features for Claws Mail" "" archive
+}
+
+_att_remover() {
+ _plugin "Attachments remover plugin for Claws Mail" "" att_remover
+}
+
+_attatchwarner() {
+ _plugin "Attachments warner plugin for Claws Mail" "" attachwarner
+}
+
+_clamd() {
+ _plugin "Use Clam AntiVirus to scan messages in Claws Mail" "" clamd
+}
+
+_fetchinfo() {
+ _plugin "Modify headers of downloaded messages in Claws Mail" "" \
+ fetchinfo
+}
+
+_mailmbox() {
+ _plugin "Add support for mailboxes in mbox format to Claws Mail" "" \
+ mailmbox
+}
+
+_notification() {
+ _plugin "Various ways to notify about new messages in Claws Mail" "" \
+ notification
+}
+
+_pdf() {
+ _plugin "PDF and ghostscript viewer plugin Claws Mail" "" pdf
}
-md5sums="4c5ac7b21f0ed17d0f6404124c2229a4 claws-mail-3.9.0.tar.bz2"
+_perl() {
+ _plugin "Perl based extended filtering engine for Claws Mail" "" perl
+}
+
+_pgp() {
+ _plugin "PGP plugin for signing and encrypting with Claws Mail" \
+ "pinentry-gtk" pgp
+}
+
+_python() {
+ _plugin "Python plugin for Claws Mail" "" python
+}
+
+_rssyl() {
+ _plugin "RSS plugin for Claws Mail" "" rssyl
+}
+
+_smime() {
+ _plugin "S/MIME support for Claws Mail" "claws-mail-plugins-pgp" smime
+}
+
+_spamassassin() {
+ _plugin "Spamassassin plugin for Claws Mail" "spamassassin" spamass
+}
+
+_spamreport() {
+ _plugin "Report spam mail to various places with Claws Mail" "" \
+ spamreport
+}
+
+_tnef() {
+ _plugin "TNEF message parsing for Claws Mail" "" tnef_parse
+}
+
+_vcalendar () {
+ _plugin "Handling of vCalendar messages in Claws Mail" "" vcalendar
+}
+
+
+md5sums="8adc734912ff1b83545cb12850100473 claws-mail-3.9.1.tar.bz2"
+sha256sums="376e535aac746dccbd8871c6f3ff6ced3010b5f7c048f4e3d18e66dfb5622910 claws-mail-3.9.1.tar.bz2"
+sha512sums="527a19a8604672e2657a6c923bb24332a7c32f08532a970e7916621d32269643f9211af3194e75572df03f594a0c127999b6ac5de363ba7d69fa4cf2450b58ab claws-mail-3.9.1.tar.bz2"